package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class BankDepositsExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public BankDepositsExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andBankDepositsIdIsNull() {
            addCriterion("bank_deposits_id is null");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdIsNotNull() {
            addCriterion("bank_deposits_id is not null");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdEqualTo(String value) {
            addCriterion("bank_deposits_id =", value, "bankDepositsId");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdNotEqualTo(String value) {
            addCriterion("bank_deposits_id <>", value, "bankDepositsId");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdGreaterThan(String value) {
            addCriterion("bank_deposits_id >", value, "bankDepositsId");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdGreaterThanOrEqualTo(String value) {
            addCriterion("bank_deposits_id >=", value, "bankDepositsId");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdLessThan(String value) {
            addCriterion("bank_deposits_id <", value, "bankDepositsId");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdLessThanOrEqualTo(String value) {
            addCriterion("bank_deposits_id <=", value, "bankDepositsId");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdLike(String value) {
            addCriterion("bank_deposits_id like", value, "bankDepositsId");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdNotLike(String value) {
            addCriterion("bank_deposits_id not like", value, "bankDepositsId");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdIn(List<String> values) {
            addCriterion("bank_deposits_id in", values, "bankDepositsId");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdNotIn(List<String> values) {
            addCriterion("bank_deposits_id not in", values, "bankDepositsId");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdBetween(String value1, String value2) {
            addCriterion("bank_deposits_id between", value1, value2, "bankDepositsId");
            return (Criteria) this;
        }

        public Criteria andBankDepositsIdNotBetween(String value1, String value2) {
            addCriterion("bank_deposits_id not between", value1, value2, "bankDepositsId");
            return (Criteria) this;
        }

        public Criteria andBankNameIsNull() {
            addCriterion("bank_name is null");
            return (Criteria) this;
        }

        public Criteria andBankNameIsNotNull() {
            addCriterion("bank_name is not null");
            return (Criteria) this;
        }

        public Criteria andBankNameEqualTo(String value) {
            addCriterion("bank_name =", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotEqualTo(String value) {
            addCriterion("bank_name <>", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameGreaterThan(String value) {
            addCriterion("bank_name >", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameGreaterThanOrEqualTo(String value) {
            addCriterion("bank_name >=", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameLessThan(String value) {
            addCriterion("bank_name <", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameLessThanOrEqualTo(String value) {
            addCriterion("bank_name <=", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameLike(String value) {
            addCriterion("bank_name like", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotLike(String value) {
            addCriterion("bank_name not like", value, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameIn(List<String> values) {
            addCriterion("bank_name in", values, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotIn(List<String> values) {
            addCriterion("bank_name not in", values, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameBetween(String value1, String value2) {
            addCriterion("bank_name between", value1, value2, "bankName");
            return (Criteria) this;
        }

        public Criteria andBankNameNotBetween(String value1, String value2) {
            addCriterion("bank_name not between", value1, value2, "bankName");
            return (Criteria) this;
        }

        public Criteria andDemandDepositIsNull() {
            addCriterion("demand_deposit is null");
            return (Criteria) this;
        }

        public Criteria andDemandDepositIsNotNull() {
            addCriterion("demand_deposit is not null");
            return (Criteria) this;
        }

        public Criteria andDemandDepositEqualTo(BigDecimal value) {
            addCriterion("demand_deposit =", value, "demandDeposit");
            return (Criteria) this;
        }

        public Criteria andDemandDepositNotEqualTo(BigDecimal value) {
            addCriterion("demand_deposit <>", value, "demandDeposit");
            return (Criteria) this;
        }

        public Criteria andDemandDepositGreaterThan(BigDecimal value) {
            addCriterion("demand_deposit >", value, "demandDeposit");
            return (Criteria) this;
        }

        public Criteria andDemandDepositGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("demand_deposit >=", value, "demandDeposit");
            return (Criteria) this;
        }

        public Criteria andDemandDepositLessThan(BigDecimal value) {
            addCriterion("demand_deposit <", value, "demandDeposit");
            return (Criteria) this;
        }

        public Criteria andDemandDepositLessThanOrEqualTo(BigDecimal value) {
            addCriterion("demand_deposit <=", value, "demandDeposit");
            return (Criteria) this;
        }

        public Criteria andDemandDepositIn(List<BigDecimal> values) {
            addCriterion("demand_deposit in", values, "demandDeposit");
            return (Criteria) this;
        }

        public Criteria andDemandDepositNotIn(List<BigDecimal> values) {
            addCriterion("demand_deposit not in", values, "demandDeposit");
            return (Criteria) this;
        }

        public Criteria andDemandDepositBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("demand_deposit between", value1, value2, "demandDeposit");
            return (Criteria) this;
        }

        public Criteria andDemandDepositNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("demand_deposit not between", value1, value2, "demandDeposit");
            return (Criteria) this;
        }

        public Criteria andThreeMonthIsNull() {
            addCriterion("three_month is null");
            return (Criteria) this;
        }

        public Criteria andThreeMonthIsNotNull() {
            addCriterion("three_month is not null");
            return (Criteria) this;
        }

        public Criteria andThreeMonthEqualTo(BigDecimal value) {
            addCriterion("three_month =", value, "threeMonth");
            return (Criteria) this;
        }

        public Criteria andThreeMonthNotEqualTo(BigDecimal value) {
            addCriterion("three_month <>", value, "threeMonth");
            return (Criteria) this;
        }

        public Criteria andThreeMonthGreaterThan(BigDecimal value) {
            addCriterion("three_month >", value, "threeMonth");
            return (Criteria) this;
        }

        public Criteria andThreeMonthGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("three_month >=", value, "threeMonth");
            return (Criteria) this;
        }

        public Criteria andThreeMonthLessThan(BigDecimal value) {
            addCriterion("three_month <", value, "threeMonth");
            return (Criteria) this;
        }

        public Criteria andThreeMonthLessThanOrEqualTo(BigDecimal value) {
            addCriterion("three_month <=", value, "threeMonth");
            return (Criteria) this;
        }

        public Criteria andThreeMonthIn(List<BigDecimal> values) {
            addCriterion("three_month in", values, "threeMonth");
            return (Criteria) this;
        }

        public Criteria andThreeMonthNotIn(List<BigDecimal> values) {
            addCriterion("three_month not in", values, "threeMonth");
            return (Criteria) this;
        }

        public Criteria andThreeMonthBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("three_month between", value1, value2, "threeMonth");
            return (Criteria) this;
        }

        public Criteria andThreeMonthNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("three_month not between", value1, value2, "threeMonth");
            return (Criteria) this;
        }

        public Criteria andSixMonthIsNull() {
            addCriterion("six_month is null");
            return (Criteria) this;
        }

        public Criteria andSixMonthIsNotNull() {
            addCriterion("six_month is not null");
            return (Criteria) this;
        }

        public Criteria andSixMonthEqualTo(BigDecimal value) {
            addCriterion("six_month =", value, "sixMonth");
            return (Criteria) this;
        }

        public Criteria andSixMonthNotEqualTo(BigDecimal value) {
            addCriterion("six_month <>", value, "sixMonth");
            return (Criteria) this;
        }

        public Criteria andSixMonthGreaterThan(BigDecimal value) {
            addCriterion("six_month >", value, "sixMonth");
            return (Criteria) this;
        }

        public Criteria andSixMonthGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("six_month >=", value, "sixMonth");
            return (Criteria) this;
        }

        public Criteria andSixMonthLessThan(BigDecimal value) {
            addCriterion("six_month <", value, "sixMonth");
            return (Criteria) this;
        }

        public Criteria andSixMonthLessThanOrEqualTo(BigDecimal value) {
            addCriterion("six_month <=", value, "sixMonth");
            return (Criteria) this;
        }

        public Criteria andSixMonthIn(List<BigDecimal> values) {
            addCriterion("six_month in", values, "sixMonth");
            return (Criteria) this;
        }

        public Criteria andSixMonthNotIn(List<BigDecimal> values) {
            addCriterion("six_month not in", values, "sixMonth");
            return (Criteria) this;
        }

        public Criteria andSixMonthBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("six_month between", value1, value2, "sixMonth");
            return (Criteria) this;
        }

        public Criteria andSixMonthNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("six_month not between", value1, value2, "sixMonth");
            return (Criteria) this;
        }

        public Criteria andYearIsNull() {
            addCriterion("year is null");
            return (Criteria) this;
        }

        public Criteria andYearIsNotNull() {
            addCriterion("year is not null");
            return (Criteria) this;
        }

        public Criteria andYearEqualTo(BigDecimal value) {
            addCriterion("year =", value, "year");
            return (Criteria) this;
        }

        public Criteria andYearNotEqualTo(BigDecimal value) {
            addCriterion("year <>", value, "year");
            return (Criteria) this;
        }

        public Criteria andYearGreaterThan(BigDecimal value) {
            addCriterion("year >", value, "year");
            return (Criteria) this;
        }

        public Criteria andYearGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("year >=", value, "year");
            return (Criteria) this;
        }

        public Criteria andYearLessThan(BigDecimal value) {
            addCriterion("year <", value, "year");
            return (Criteria) this;
        }

        public Criteria andYearLessThanOrEqualTo(BigDecimal value) {
            addCriterion("year <=", value, "year");
            return (Criteria) this;
        }

        public Criteria andYearIn(List<BigDecimal> values) {
            addCriterion("year in", values, "year");
            return (Criteria) this;
        }

        public Criteria andYearNotIn(List<BigDecimal> values) {
            addCriterion("year not in", values, "year");
            return (Criteria) this;
        }

        public Criteria andYearBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("year between", value1, value2, "year");
            return (Criteria) this;
        }

        public Criteria andYearNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("year not between", value1, value2, "year");
            return (Criteria) this;
        }

        public Criteria andTwoYearIsNull() {
            addCriterion("two_year is null");
            return (Criteria) this;
        }

        public Criteria andTwoYearIsNotNull() {
            addCriterion("two_year is not null");
            return (Criteria) this;
        }

        public Criteria andTwoYearEqualTo(BigDecimal value) {
            addCriterion("two_year =", value, "twoYear");
            return (Criteria) this;
        }

        public Criteria andTwoYearNotEqualTo(BigDecimal value) {
            addCriterion("two_year <>", value, "twoYear");
            return (Criteria) this;
        }

        public Criteria andTwoYearGreaterThan(BigDecimal value) {
            addCriterion("two_year >", value, "twoYear");
            return (Criteria) this;
        }

        public Criteria andTwoYearGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("two_year >=", value, "twoYear");
            return (Criteria) this;
        }

        public Criteria andTwoYearLessThan(BigDecimal value) {
            addCriterion("two_year <", value, "twoYear");
            return (Criteria) this;
        }

        public Criteria andTwoYearLessThanOrEqualTo(BigDecimal value) {
            addCriterion("two_year <=", value, "twoYear");
            return (Criteria) this;
        }

        public Criteria andTwoYearIn(List<BigDecimal> values) {
            addCriterion("two_year in", values, "twoYear");
            return (Criteria) this;
        }

        public Criteria andTwoYearNotIn(List<BigDecimal> values) {
            addCriterion("two_year not in", values, "twoYear");
            return (Criteria) this;
        }

        public Criteria andTwoYearBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("two_year between", value1, value2, "twoYear");
            return (Criteria) this;
        }

        public Criteria andTwoYearNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("two_year not between", value1, value2, "twoYear");
            return (Criteria) this;
        }

        public Criteria andThreeYearIsNull() {
            addCriterion("three_year is null");
            return (Criteria) this;
        }

        public Criteria andThreeYearIsNotNull() {
            addCriterion("three_year is not null");
            return (Criteria) this;
        }

        public Criteria andThreeYearEqualTo(BigDecimal value) {
            addCriterion("three_year =", value, "threeYear");
            return (Criteria) this;
        }

        public Criteria andThreeYearNotEqualTo(BigDecimal value) {
            addCriterion("three_year <>", value, "threeYear");
            return (Criteria) this;
        }

        public Criteria andThreeYearGreaterThan(BigDecimal value) {
            addCriterion("three_year >", value, "threeYear");
            return (Criteria) this;
        }

        public Criteria andThreeYearGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("three_year >=", value, "threeYear");
            return (Criteria) this;
        }

        public Criteria andThreeYearLessThan(BigDecimal value) {
            addCriterion("three_year <", value, "threeYear");
            return (Criteria) this;
        }

        public Criteria andThreeYearLessThanOrEqualTo(BigDecimal value) {
            addCriterion("three_year <=", value, "threeYear");
            return (Criteria) this;
        }

        public Criteria andThreeYearIn(List<BigDecimal> values) {
            addCriterion("three_year in", values, "threeYear");
            return (Criteria) this;
        }

        public Criteria andThreeYearNotIn(List<BigDecimal> values) {
            addCriterion("three_year not in", values, "threeYear");
            return (Criteria) this;
        }

        public Criteria andThreeYearBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("three_year between", value1, value2, "threeYear");
            return (Criteria) this;
        }

        public Criteria andThreeYearNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("three_year not between", value1, value2, "threeYear");
            return (Criteria) this;
        }

        public Criteria andFiveYearIsNull() {
            addCriterion("five_year is null");
            return (Criteria) this;
        }

        public Criteria andFiveYearIsNotNull() {
            addCriterion("five_year is not null");
            return (Criteria) this;
        }

        public Criteria andFiveYearEqualTo(BigDecimal value) {
            addCriterion("five_year =", value, "fiveYear");
            return (Criteria) this;
        }

        public Criteria andFiveYearNotEqualTo(BigDecimal value) {
            addCriterion("five_year <>", value, "fiveYear");
            return (Criteria) this;
        }

        public Criteria andFiveYearGreaterThan(BigDecimal value) {
            addCriterion("five_year >", value, "fiveYear");
            return (Criteria) this;
        }

        public Criteria andFiveYearGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("five_year >=", value, "fiveYear");
            return (Criteria) this;
        }

        public Criteria andFiveYearLessThan(BigDecimal value) {
            addCriterion("five_year <", value, "fiveYear");
            return (Criteria) this;
        }

        public Criteria andFiveYearLessThanOrEqualTo(BigDecimal value) {
            addCriterion("five_year <=", value, "fiveYear");
            return (Criteria) this;
        }

        public Criteria andFiveYearIn(List<BigDecimal> values) {
            addCriterion("five_year in", values, "fiveYear");
            return (Criteria) this;
        }

        public Criteria andFiveYearNotIn(List<BigDecimal> values) {
            addCriterion("five_year not in", values, "fiveYear");
            return (Criteria) this;
        }

        public Criteria andFiveYearBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("five_year between", value1, value2, "fiveYear");
            return (Criteria) this;
        }

        public Criteria andFiveYearNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("five_year not between", value1, value2, "fiveYear");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNull() {
            addCriterion("user_id is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("user_id =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("user_id <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("user_id >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("user_id >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("user_id <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("user_id <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("user_id like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("user_id not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("user_id in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("user_id not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("user_id between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("user_id not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andCurrencyIsNull() {
            addCriterion("currency is null");
            return (Criteria) this;
        }

        public Criteria andCurrencyIsNotNull() {
            addCriterion("currency is not null");
            return (Criteria) this;
        }

        public Criteria andCurrencyEqualTo(String value) {
            addCriterion("currency =", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyNotEqualTo(String value) {
            addCriterion("currency <>", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyGreaterThan(String value) {
            addCriterion("currency >", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyGreaterThanOrEqualTo(String value) {
            addCriterion("currency >=", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyLessThan(String value) {
            addCriterion("currency <", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyLessThanOrEqualTo(String value) {
            addCriterion("currency <=", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyLike(String value) {
            addCriterion("currency like", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyNotLike(String value) {
            addCriterion("currency not like", value, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyIn(List<String> values) {
            addCriterion("currency in", values, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyNotIn(List<String> values) {
            addCriterion("currency not in", values, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyBetween(String value1, String value2) {
            addCriterion("currency between", value1, value2, "currency");
            return (Criteria) this;
        }

        public Criteria andCurrencyNotBetween(String value1, String value2) {
            addCriterion("currency not between", value1, value2, "currency");
            return (Criteria) this;
        }

        public Criteria andSourceIsNull() {
            addCriterion("source is null");
            return (Criteria) this;
        }

        public Criteria andSourceIsNotNull() {
            addCriterion("source is not null");
            return (Criteria) this;
        }

        public Criteria andSourceEqualTo(String value) {
            addCriterion("source =", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceNotEqualTo(String value) {
            addCriterion("source <>", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceGreaterThan(String value) {
            addCriterion("source >", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceGreaterThanOrEqualTo(String value) {
            addCriterion("source >=", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceLessThan(String value) {
            addCriterion("source <", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceLessThanOrEqualTo(String value) {
            addCriterion("source <=", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceLike(String value) {
            addCriterion("source like", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceNotLike(String value) {
            addCriterion("source not like", value, "source");
            return (Criteria) this;
        }

        public Criteria andSourceIn(List<String> values) {
            addCriterion("source in", values, "source");
            return (Criteria) this;
        }

        public Criteria andSourceNotIn(List<String> values) {
            addCriterion("source not in", values, "source");
            return (Criteria) this;
        }

        public Criteria andSourceBetween(String value1, String value2) {
            addCriterion("source between", value1, value2, "source");
            return (Criteria) this;
        }

        public Criteria andSourceNotBetween(String value1, String value2) {
            addCriterion("source not between", value1, value2, "source");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}