package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例财产分配家庭结构记录表
 *
 * @author xcj
 * case_distribution_of_property_family_records
 */
public class CaseDistributionOfPropertyFamilyRecords {
    @ApiModelProperty("案例-财产分配-家庭结构记录ID")
    private String caseDistributionOfPropertyFamilyRecordsId;

    private String caseid;

    @ApiModelProperty("案例-财产分配id")
    private String caseDistributionOfPropertyId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("与客户关系")
    private String customerRelationship;

    @ApiModelProperty("年收入")
    private BigDecimal annualIncome;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    public String getCaseDistributionOfPropertyFamilyRecordsId() {
        return caseDistributionOfPropertyFamilyRecordsId;
    }

    public void setCaseDistributionOfPropertyFamilyRecordsId(String caseDistributionOfPropertyFamilyRecordsId) {
        this.caseDistributionOfPropertyFamilyRecordsId = caseDistributionOfPropertyFamilyRecordsId == null ? null : caseDistributionOfPropertyFamilyRecordsId.trim();
    }

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public String getCaseDistributionOfPropertyId() {
        return caseDistributionOfPropertyId;
    }

    public void setCaseDistributionOfPropertyId(String caseDistributionOfPropertyId) {
        this.caseDistributionOfPropertyId = caseDistributionOfPropertyId == null ? null : caseDistributionOfPropertyId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getCustomerRelationship() {
        return customerRelationship;
    }

    public void setCustomerRelationship(String customerRelationship) {
        this.customerRelationship = customerRelationship == null ? null : customerRelationship.trim();
    }

    public BigDecimal getAnnualIncome() {
        return annualIncome;
    }

    public void setAnnualIncome(BigDecimal annualIncome) {
        this.annualIncome = annualIncome;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }
}