package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例生涯规划教育规划表
 *
 * @author xcj
 * case_life_education_plan
 */
public class CaseLifeEducationPlan {
    @ApiModelProperty("案例-生涯规划-教育规划id")
    private String caseLifeEducationPlanId;

    private String caseid;

    @ApiModelProperty("子女年龄")
    private Integer childAge;

    @ApiModelProperty("国内学费增长率")
    private BigDecimal inlandEduFee;

    @ApiModelProperty("国外学费增长率")
    private BigDecimal foreignEduFee;

    @ApiModelProperty("A求学年龄")
    private Integer aEduAge;

    @ApiModelProperty("A求学时间")
    private Integer aEduTime;

    @ApiModelProperty("A目前学费")
    private BigDecimal aTuition;

    @ApiModelProperty("A上学时学费")
    private BigDecimal aEduTuition;

    @ApiModelProperty("A上学前需准备的总学费")
    private BigDecimal aTotalTuition;

    @ApiModelProperty("B求学年龄")
    private Integer bEduAge;

    @ApiModelProperty("B求学时间")
    private Integer bEduTime;

    @ApiModelProperty("B目前学费")
    private BigDecimal bTuition;

    @ApiModelProperty("B上学时学费")
    private BigDecimal bEduTuition;

    @ApiModelProperty("B上学前需准备的总学费")
    private BigDecimal bTotalTuition;

    @ApiModelProperty("C求学年龄")
    private Integer cEduAge;

    @ApiModelProperty("C求学时间")
    private Integer cEduTime;

    @ApiModelProperty("C目前学费")
    private BigDecimal cTuition;

    @ApiModelProperty("C上学时学费")
    private BigDecimal cEduTuition;

    @ApiModelProperty("C上学前需准备的总学费")
    private BigDecimal cTotalTuition;

    @ApiModelProperty("D求学年龄")
    private Integer dEduAge;

    @ApiModelProperty("D求学时间")
    private Integer dEduTime;

    @ApiModelProperty("D目前学费")
    private BigDecimal dTuition;

    @ApiModelProperty("D上学时学费")
    private BigDecimal dEduTuition;

    @ApiModelProperty("D上学前需准备的总学费")
    private BigDecimal dTotalTuition;

    @ApiModelProperty("E求学年龄")
    private Integer eEduAge;

    @ApiModelProperty("E求学时间")
    private Integer eEduTime;

    @ApiModelProperty("E目前学费")
    private BigDecimal eTuition;

    @ApiModelProperty("E上学时学费")
    private BigDecimal eEduTuition;

    @ApiModelProperty("E上学前需准备的总学费")
    private BigDecimal eTotalTuition;

    @ApiModelProperty("F求学年龄")
    private Integer fEduAge;

    @ApiModelProperty("F求学时间")
    private Integer fEduTime;

    @ApiModelProperty("F目前学费")
    private BigDecimal fTuition;

    @ApiModelProperty("F上学时学费")
    private BigDecimal fEduTuition;

    @ApiModelProperty("F上学前需准备的总学费")
    private BigDecimal fTotalTuition;

    @ApiModelProperty("商业保险")
    private BigDecimal insurance;

    @ApiModelProperty("储蓄计划")
    private BigDecimal deposit;

    @ApiModelProperty("其他安排")
    private BigDecimal other;

    @ApiModelProperty("上学前需准备的现金总金额")
    private BigDecimal eduTotalAmount;

    @ApiModelProperty("预计投资收益率")
    private BigDecimal returnOnInvestment;

    @ApiModelProperty("一次性投入金额")
    private BigDecimal disposableInput;

    @ApiModelProperty("每月定期投资金额")
    private BigDecimal monthlyInvestment;

    @ApiModelProperty("定期定额投资年限")
    private Integer regularYear;

    @ApiModelProperty("此方案能实现的目标金额")
    private BigDecimal targetAmount;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    @ApiModelProperty("教育规划老师评分")
    private BigDecimal analysisTeacherScore;

    @ApiModelProperty("理财方案老师评分")
    private BigDecimal caseTeacherScore;

    @ApiModelProperty("教育规划分析")
    private String analysis;

    public String getCaseLifeEducationPlanId() {
        return caseLifeEducationPlanId;
    }

    public void setCaseLifeEducationPlanId(String caseLifeEducationPlanId) {
        this.caseLifeEducationPlanId = caseLifeEducationPlanId == null ? null : caseLifeEducationPlanId.trim();
    }

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public Integer getChildAge() {
        return childAge;
    }

    public void setChildAge(Integer childAge) {
        this.childAge = childAge;
    }

    public BigDecimal getInlandEduFee() {
        return inlandEduFee;
    }

    public void setInlandEduFee(BigDecimal inlandEduFee) {
        this.inlandEduFee = inlandEduFee;
    }

    public BigDecimal getForeignEduFee() {
        return foreignEduFee;
    }

    public void setForeignEduFee(BigDecimal foreignEduFee) {
        this.foreignEduFee = foreignEduFee;
    }

    public Integer getaEduAge() {
        return aEduAge;
    }

    public void setaEduAge(Integer aEduAge) {
        this.aEduAge = aEduAge;
    }

    public Integer getaEduTime() {
        return aEduTime;
    }

    public void setaEduTime(Integer aEduTime) {
        this.aEduTime = aEduTime;
    }

    public BigDecimal getaTuition() {
        return aTuition;
    }

    public void setaTuition(BigDecimal aTuition) {
        this.aTuition = aTuition;
    }

    public BigDecimal getaEduTuition() {
        return aEduTuition;
    }

    public void setaEduTuition(BigDecimal aEduTuition) {
        this.aEduTuition = aEduTuition;
    }

    public BigDecimal getaTotalTuition() {
        return aTotalTuition;
    }

    public void setaTotalTuition(BigDecimal aTotalTuition) {
        this.aTotalTuition = aTotalTuition;
    }

    public Integer getbEduAge() {
        return bEduAge;
    }

    public void setbEduAge(Integer bEduAge) {
        this.bEduAge = bEduAge;
    }

    public Integer getbEduTime() {
        return bEduTime;
    }

    public void setbEduTime(Integer bEduTime) {
        this.bEduTime = bEduTime;
    }

    public BigDecimal getbTuition() {
        return bTuition;
    }

    public void setbTuition(BigDecimal bTuition) {
        this.bTuition = bTuition;
    }

    public BigDecimal getbEduTuition() {
        return bEduTuition;
    }

    public void setbEduTuition(BigDecimal bEduTuition) {
        this.bEduTuition = bEduTuition;
    }

    public BigDecimal getbTotalTuition() {
        return bTotalTuition;
    }

    public void setbTotalTuition(BigDecimal bTotalTuition) {
        this.bTotalTuition = bTotalTuition;
    }

    public Integer getcEduAge() {
        return cEduAge;
    }

    public void setcEduAge(Integer cEduAge) {
        this.cEduAge = cEduAge;
    }

    public Integer getcEduTime() {
        return cEduTime;
    }

    public void setcEduTime(Integer cEduTime) {
        this.cEduTime = cEduTime;
    }

    public BigDecimal getcTuition() {
        return cTuition;
    }

    public void setcTuition(BigDecimal cTuition) {
        this.cTuition = cTuition;
    }

    public BigDecimal getcEduTuition() {
        return cEduTuition;
    }

    public void setcEduTuition(BigDecimal cEduTuition) {
        this.cEduTuition = cEduTuition;
    }

    public BigDecimal getcTotalTuition() {
        return cTotalTuition;
    }

    public void setcTotalTuition(BigDecimal cTotalTuition) {
        this.cTotalTuition = cTotalTuition;
    }

    public Integer getdEduAge() {
        return dEduAge;
    }

    public void setdEduAge(Integer dEduAge) {
        this.dEduAge = dEduAge;
    }

    public Integer getdEduTime() {
        return dEduTime;
    }

    public void setdEduTime(Integer dEduTime) {
        this.dEduTime = dEduTime;
    }

    public BigDecimal getdTuition() {
        return dTuition;
    }

    public void setdTuition(BigDecimal dTuition) {
        this.dTuition = dTuition;
    }

    public BigDecimal getdEduTuition() {
        return dEduTuition;
    }

    public void setdEduTuition(BigDecimal dEduTuition) {
        this.dEduTuition = dEduTuition;
    }

    public BigDecimal getdTotalTuition() {
        return dTotalTuition;
    }

    public void setdTotalTuition(BigDecimal dTotalTuition) {
        this.dTotalTuition = dTotalTuition;
    }

    public Integer geteEduAge() {
        return eEduAge;
    }

    public void seteEduAge(Integer eEduAge) {
        this.eEduAge = eEduAge;
    }

    public Integer geteEduTime() {
        return eEduTime;
    }

    public void seteEduTime(Integer eEduTime) {
        this.eEduTime = eEduTime;
    }

    public BigDecimal geteTuition() {
        return eTuition;
    }

    public void seteTuition(BigDecimal eTuition) {
        this.eTuition = eTuition;
    }

    public BigDecimal geteEduTuition() {
        return eEduTuition;
    }

    public void seteEduTuition(BigDecimal eEduTuition) {
        this.eEduTuition = eEduTuition;
    }

    public BigDecimal geteTotalTuition() {
        return eTotalTuition;
    }

    public void seteTotalTuition(BigDecimal eTotalTuition) {
        this.eTotalTuition = eTotalTuition;
    }

    public Integer getfEduAge() {
        return fEduAge;
    }

    public void setfEduAge(Integer fEduAge) {
        this.fEduAge = fEduAge;
    }

    public Integer getfEduTime() {
        return fEduTime;
    }

    public void setfEduTime(Integer fEduTime) {
        this.fEduTime = fEduTime;
    }

    public BigDecimal getfTuition() {
        return fTuition;
    }

    public void setfTuition(BigDecimal fTuition) {
        this.fTuition = fTuition;
    }

    public BigDecimal getfEduTuition() {
        return fEduTuition;
    }

    public void setfEduTuition(BigDecimal fEduTuition) {
        this.fEduTuition = fEduTuition;
    }

    public BigDecimal getfTotalTuition() {
        return fTotalTuition;
    }

    public void setfTotalTuition(BigDecimal fTotalTuition) {
        this.fTotalTuition = fTotalTuition;
    }

    public BigDecimal getInsurance() {
        return insurance;
    }

    public void setInsurance(BigDecimal insurance) {
        this.insurance = insurance;
    }

    public BigDecimal getDeposit() {
        return deposit;
    }

    public void setDeposit(BigDecimal deposit) {
        this.deposit = deposit;
    }

    public BigDecimal getOther() {
        return other;
    }

    public void setOther(BigDecimal other) {
        this.other = other;
    }

    public BigDecimal getEduTotalAmount() {
        return eduTotalAmount;
    }

    public void setEduTotalAmount(BigDecimal eduTotalAmount) {
        this.eduTotalAmount = eduTotalAmount;
    }

    public BigDecimal getReturnOnInvestment() {
        return returnOnInvestment;
    }

    public void setReturnOnInvestment(BigDecimal returnOnInvestment) {
        this.returnOnInvestment = returnOnInvestment;
    }

    public BigDecimal getDisposableInput() {
        return disposableInput;
    }

    public void setDisposableInput(BigDecimal disposableInput) {
        this.disposableInput = disposableInput;
    }

    public BigDecimal getMonthlyInvestment() {
        return monthlyInvestment;
    }

    public void setMonthlyInvestment(BigDecimal monthlyInvestment) {
        this.monthlyInvestment = monthlyInvestment;
    }

    public Integer getRegularYear() {
        return regularYear;
    }

    public void setRegularYear(Integer regularYear) {
        this.regularYear = regularYear;
    }

    public BigDecimal getTargetAmount() {
        return targetAmount;
    }

    public void setTargetAmount(BigDecimal targetAmount) {
        this.targetAmount = targetAmount;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }

    public BigDecimal getAnalysisTeacherScore() {
        return analysisTeacherScore;
    }

    public void setAnalysisTeacherScore(BigDecimal analysisTeacherScore) {
        this.analysisTeacherScore = analysisTeacherScore;
    }

    public BigDecimal getCaseTeacherScore() {
        return caseTeacherScore;
    }

    public void setCaseTeacherScore(BigDecimal caseTeacherScore) {
        this.caseTeacherScore = caseTeacherScore;
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis == null ? null : analysis.trim();
    }
}