package com.sztzjy.money_management.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

@Data
@NoArgsConstructor
public class StuTheoryTestDto {
    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("考试用时、分钟")
    private Integer examDuration;

    @ApiModelProperty("得分")
    BigDecimal score;

    @ApiModelProperty("正确率")
    BigDecimal accuracy;

    @ApiModelProperty("是否答完")
    Boolean answered;

    @ApiModelProperty("单选题学生答案集合")
    List<String> singleStuAnswer;

    @ApiModelProperty("多选题学生答案集合  ABC  AB")
    List<String> multipleStuAnswer;

    @ApiModelProperty("判断题学生答案集合true false")
    List<String> judgeStuAnswer;

    @ApiModelProperty("单选错误题目id集合")
    List<String> singleErrorIds;

    @ApiModelProperty("多选错误题目id集合")
    List<String> multipleErrorIds;

    @ApiModelProperty("判断错误题目id集合")
    List<String> judgeErrorIds;

    @ApiModelProperty("理论考试/理论知识/专业能力/公共基础/个人理财/风险管理/公司信贷/个人贷款")
    private String source;
}
