package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 学习成绩权重表
 *
 * @author xcj
 * student_score_weight
 */
public class StudentScoreWeight {
    @ApiModelProperty("学生成绩权重ID")
    private String studentScoreWeightId;

    @ApiModelProperty("章节ID")
    private String chapterId;

    @ApiModelProperty("章节名称")
    private String chapterName;

    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("知识概要分数")
    private BigDecimal summaryOfKnowledgeScore;

    @ApiModelProperty("知识概要权重")
    private BigDecimal summaryOfKnowledgeWeight;

    @ApiModelProperty("资源学习分数")
    private BigDecimal resourceLearningScore;

    @ApiModelProperty("资源学习权重")
    private BigDecimal resourceLearningWeight;

    @ApiModelProperty("学习测评分数")
    private BigDecimal learningAssessmentScore;

    @ApiModelProperty("学习测评权重")
    private BigDecimal learningAssessmentWeight;

    @ApiModelProperty("实验实训分数")
    private BigDecimal experimentalTrainingScore;

    @ApiModelProperty("实验实训权重")
    private BigDecimal experimentalTrainingWeight;

    @ApiModelProperty("实验报告权重")
    private BigDecimal reportWeight;

    public String getStudentScoreWeightId() {
        return studentScoreWeightId;
    }

    public void setStudentScoreWeightId(String studentScoreWeightId) {
        this.studentScoreWeightId = studentScoreWeightId == null ? null : studentScoreWeightId.trim();
    }

    public String getChapterId() {
        return chapterId;
    }

    public void setChapterId(String chapterId) {
        this.chapterId = chapterId == null ? null : chapterId.trim();
    }

    public String getChapterName() {
        return chapterName;
    }

    public void setChapterName(String chapterName) {
        this.chapterName = chapterName == null ? null : chapterName.trim();
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId == null ? null : schoolId.trim();
    }

    public BigDecimal getSummaryOfKnowledgeScore() {
        return summaryOfKnowledgeScore;
    }

    public void setSummaryOfKnowledgeScore(BigDecimal summaryOfKnowledgeScore) {
        this.summaryOfKnowledgeScore = summaryOfKnowledgeScore;
    }

    public BigDecimal getSummaryOfKnowledgeWeight() {
        return summaryOfKnowledgeWeight;
    }

    public void setSummaryOfKnowledgeWeight(BigDecimal summaryOfKnowledgeWeight) {
        this.summaryOfKnowledgeWeight = summaryOfKnowledgeWeight;
    }

    public BigDecimal getResourceLearningScore() {
        return resourceLearningScore;
    }

    public void setResourceLearningScore(BigDecimal resourceLearningScore) {
        this.resourceLearningScore = resourceLearningScore;
    }

    public BigDecimal getResourceLearningWeight() {
        return resourceLearningWeight;
    }

    public void setResourceLearningWeight(BigDecimal resourceLearningWeight) {
        this.resourceLearningWeight = resourceLearningWeight;
    }

    public BigDecimal getLearningAssessmentScore() {
        return learningAssessmentScore;
    }

    public void setLearningAssessmentScore(BigDecimal learningAssessmentScore) {
        this.learningAssessmentScore = learningAssessmentScore;
    }

    public BigDecimal getLearningAssessmentWeight() {
        return learningAssessmentWeight;
    }

    public void setLearningAssessmentWeight(BigDecimal learningAssessmentWeight) {
        this.learningAssessmentWeight = learningAssessmentWeight;
    }

    public BigDecimal getExperimentalTrainingScore() {
        return experimentalTrainingScore;
    }

    public void setExperimentalTrainingScore(BigDecimal experimentalTrainingScore) {
        this.experimentalTrainingScore = experimentalTrainingScore;
    }

    public BigDecimal getExperimentalTrainingWeight() {
        return experimentalTrainingWeight;
    }

    public void setExperimentalTrainingWeight(BigDecimal experimentalTrainingWeight) {
        this.experimentalTrainingWeight = experimentalTrainingWeight;
    }

    public BigDecimal getReportWeight() {
        return reportWeight;
    }

    public void setReportWeight(BigDecimal reportWeight) {
        this.reportWeight = reportWeight;
    }
}