package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * P2P产品表
 *
 * @author xcj
 * p2p_product
 */
public class p2pProduct {
    @ApiModelProperty("投资规划P2P产品ID")
    private String p2pProductId;

    @ApiModelProperty("产品名称")
    private String p2pName;

    @ApiModelProperty("投资领域")
    private String investmentField;

    @ApiModelProperty("投资周期")
    private String investmentCycle;

    @ApiModelProperty("起投金额")
    private BigDecimal startAmount;

    @ApiModelProperty("预期收益率")
    private BigDecimal earningsRate;

    @ApiModelProperty("来源ID")
    private String sourceId;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    public String getP2pProductId() {
        return p2pProductId;
    }

    public void setP2pProductId(String p2pProductId) {
        this.p2pProductId = p2pProductId == null ? null : p2pProductId.trim();
    }

    public String getP2pName() {
        return p2pName;
    }

    public void setP2pName(String p2pName) {
        this.p2pName = p2pName == null ? null : p2pName.trim();
    }

    public String getInvestmentField() {
        return investmentField;
    }

    public void setInvestmentField(String investmentField) {
        this.investmentField = investmentField == null ? null : investmentField.trim();
    }

    public String getInvestmentCycle() {
        return investmentCycle;
    }

    public void setInvestmentCycle(String investmentCycle) {
        this.investmentCycle = investmentCycle == null ? null : investmentCycle.trim();
    }

    public BigDecimal getStartAmount() {
        return startAmount;
    }

    public void setStartAmount(BigDecimal startAmount) {
        this.startAmount = startAmount;
    }

    public BigDecimal getEarningsRate() {
        return earningsRate;
    }

    public void setEarningsRate(BigDecimal earningsRate) {
        this.earningsRate = earningsRate;
    }

    public String getSourceId() {
        return sourceId;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId == null ? null : sourceId.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}